MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIOverridePixelLookupTablesData Struct Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverridePixelLookupTablesData:
[legend]
Collaboration diagram for LTIOverridePixelLookupTablesData:
[legend]

## Public Member Functions
| LTIOverridePixelLookupTablesData ()
| ~LTIOverridePixelLookupTablesData ()
LT_STATUS | setPixelLookupTable (const LTIPixelLookupTable *pixelLookupTable)
| set the color lookup table More...

## Public Attributes
LTIPixelLookupTable * | m_pixelLookupTable

## Detailed Description

Definition at line 481 of file lti_imageStageOverrides.h.

## Constructor & Destructor Documentation

LTIOverridePixelLookupTablesData::LTIOverridePixelLookupTablesData | ( | ) |  |

LTIOverridePixelLookupTablesData::~LTIOverridePixelLookupTablesData | ( | ) |  |

## Member Function Documentation

LT_STATUS LTIOverridePixelLookupTablesData::setPixelLookupTable | ( | const LTIPixelLookupTable * | pixelLookupTable) |  |

This function is used to set the color used lookup table, used for indexed color (palletized) images.

Derived classes may choose to call this function from within their initialize() method. If the lookup table is not set, or if NULL is passed in, the image will be assumed to have no lookup table.

The LTIImageStage makes a local copy of the lookup table.

Parameters

  pixelLookupTable | pointer to the lookup table (or NULL)

Returns
  status code indicating success or failure

Referenced by LTIOverridePixelLookupTables< LTIOverrideMetadata< LTIImageStage > >::overridePixelLookupTable().

## Member Data Documentation

LTIPixelLookupTable* LTIOverridePixelLookupTablesData::m_pixelLookupTable

Definition at line 503 of file lti_imageStageOverrides.h.

Referenced by LTIOverridePixelLookupTables< LTIOverrideMetadata< LTIImageStage > >::getPixelLookupTable().

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech